<?xml version="1.0" encoding="UTF-8"?>
<config install4jVersion="5.0.5" install4jBuild="5151" type="unix" archive="true">
  <general applicationName="install4j" applicationVersion="5.0.5" mediaSetId="4023" applicationId="6187-6649-8790-3898" status="LCOK" mediaName="install4j_unix_5_0_5" jreVersion="" minJavaVersion="1.6" publisherName="ej-technologies GmbH" publisherURL="http://www.ej-technologies.com" jreShared="false" lzmaCompression="true" pack200Compression="true" installerType="1" addOnAppId="" suggestPreviousLocations="true" uninstallerFilename="uninstall" uninstallerDirectory="." />
  <languages skipLanguageSelection="false" languageSelectionInPrincipalLanguage="false">
    <variable id="en" name="English" messageFile="i4j_extf_0_1et6ieo.utf8" customLocalizationFile="" />
  </languages>
  <compilerVariables>
    <variable name="fullJreVersion" value="1.6.0_20" />
    <variable name="changelogUrl" value="http://www.ej-technologies.com/download/install4j/changelog.html" />
    <variable name="programGroupVersion" value="5" />
    <variable name="javaMaximumVersion" value="1.6" />
    <variable name="mediaJvmOptions" value="" />
    <variable name="winSigner" value="osslsigncode -spc ../../../../../myOwn.spc -key ../../../../../mykey.der -t http://timestamp.verisign.com/scripts/timstamp.dll -in $EXECUTABLE -out $OUTFILE" />
    <variable name="installationDirectory" value="install4j5" />
    <variable name="sys.version" value="5.0.5" />
    <variable name="sys.shortName" value="install4j" />
    <variable name="sys.fullName" value="install4j" />
    <variable name="sys.publisher" value="ej-technologies GmbH" />
    <variable name="sys.publisherUrl" value="http://www.ej-technologies.com" />
    <variable name="sys.setName" value="Unix Archive" />
    <variable name="sys.platform" value="unix" />
    <variable name="sys.languageId" value="en" />
    <variable name="sys.withJre" value="" />
    <variable name="sys.date" value="20100929" />
    <variable name="sys.javaMinVersion" value="1.6" />
    <variable name="sys.javaMaxVersion" value="1.6" />
    <variable name="sys.install4jHome" value="/kunden/242343_81543/projects/install4j/build/test/install4j" />
    <variable name="sys.applicationId" value="6187-6649-8790-3898" />
    <variable name="sys.updatesUrl" value="http://download.ej-technologies.com/install4j/updates5.xml" />
  </compilerVariables>
  <customCode />
  <applications>
    <application id="installer" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.InstallerApplication" />
      </java>
      <variables />
      <screens>
        <screen id="15" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="6230" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.RequestPrivilegesAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="67" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.WelcomeScreen" />
          </java>
          <actions>
            <action id="5787" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_545" rollbackBarrier="false" multiExec="true" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.LoadResponseFileAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="7080" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_546" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.LicenseScreen">
              <void property="displayedTextFile">
                <void property="languageIdToExternalFile">
                  <void method="put">
                    <string>en</string>
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string>i4j_extf_1_1et6ieo.txt</string>
                    </object>
                  </void>
                </void>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="68" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_547" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.LicenseScreen">
              <void property="displayedTextFile">
                <void property="languageIdToExternalFile">
                  <void method="put">
                    <string>en</string>
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string>i4j_extf_2_1et6ieo.html</string>
                    </object>
                  </void>
                </void>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="69" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_548" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="I4jScript_Internal_549" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationDirectoryScreen">
              <void property="existingDirWarning">
                <boolean>false</boolean>
              </void>
              <void property="validateApplicationId">
                <boolean>false</boolean>
              </void>
            </object>
          </java>
          <actions>
            <action id="5643" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_550" rollbackBarrier="false" multiExec="true" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.LoadResponseFileAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="71" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_551" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StandardProgramGroupScreen">
              <void property="allUsers">
                <boolean>false</boolean>
              </void>
              <void property="programGroupName">
                <string>install4j 5</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="3161" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.AdditionalConfirmationsScreen" />
          </java>
          <actions />
          <formComponents>
            <formComponent id="6502" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_552" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>Associate install4j project files (*.install4j)</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>createFileAssociationAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="3164" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:CreateDesktopIcon}</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>createDesktopLinkAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="3162" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_553" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:CreateQuickLaunchIcon}</string>
                  </void>
                  <void property="variableName">
                    <string>createQuicklaunchIconAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="5935" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_554" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:AddToDock}</string>
                  </void>
                  <void property="variableName">
                    <string>addToDockAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
        <screen id="73" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="true" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.InstallationScreen" />
          </java>
          <actions>
            <action id="6809" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_555" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.UninstallPreviousAction">
                  <void property="onlyIfSameApplicationId">
                    <boolean>false</boolean>
                  </void>
                </object>
              </java>
            </action>
            <action id="75" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="${i18n:FileCorrupted}">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.InstallFilesAction" />
              </java>
            </action>
            <action id="76" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_556" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateProgramGroupAction">
                  <void property="allUsers">
                    <boolean>false</boolean>
                  </void>
                  <void property="linkDirectory">
                    <string>${installer:sys.symlinkDir}</string>
                  </void>
                  <void property="programGroupEntryConfigs">
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Documentation/install4j API Documentation</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>javadoc/index.html</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Documentation/install4j Help</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>doc/index.html</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Documentation/install4j Printable Manual</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>doc/help.pdf</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupFileConfig">
                        <void property="name">
                          <string>Check for Update</string>
                        </void>
                        <void property="target">
                          <object class="java.io.File">
                            <string>bin/updater</string>
                          </object>
                        </void>
                      </object>
                    </void>
                    <void method="add">
                      <object class="com.install4j.runtime.beans.screens.components.ProgramGroupUrlConfig">
                        <void property="favicon">
                          <boolean>true</boolean>
                        </void>
                        <void property="name">
                          <string>install4j on the Web</string>
                        </void>
                        <void property="url">
                          <string>http://www.ej-technologies.com/products/install4j/overview.html</string>
                        </void>
                      </object>
                    </void>
                  </void>
                  <void property="uninstallerMenuName">
                    <string>${i18n:UninstallerMenuEntry(install4j)}</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="77" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.RegisterAddRemoveAction">
                  <void property="itemName">
                    <string>install4j 5.0.5</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="78" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_557" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateFileAssociationAction">
                  <void property="description">
                    <string>install4j project files</string>
                  </void>
                  <void property="extension">
                    <string>install4j</string>
                  </void>
                  <void property="launcherId">
                    <string>2</string>
                  </void>
                  <void property="macIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string>i4j_extf_3_1et6ieo_c86osu.icns</string>
                    </object>
                  </void>
                  <void property="macRole">
                    <object class="com.install4j.runtime.beans.actions.desktop.MacAssociationRole" field="EDITOR" />
                  </void>
                  <void property="windowsIconFile">
                    <object class="com.install4j.api.beans.ExternalFile">
                      <string>i4j_extf_4_1et6ieo_1n33sx2.ico</string>
                    </object>
                  </void>
                </object>
              </java>
            </action>
            <action id="3160" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_558" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateQuicklaunchIconAction">
                  <void property="description">
                    <string>install4j</string>
                  </void>
                  <void property="file">
                    <object class="java.io.File">
                      <string>bin/install4j</string>
                    </object>
                  </void>
                </object>
              </java>
            </action>
            <action id="3163" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_559" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.CreateDesktopLinkAction">
                  <void property="allUsers">
                    <boolean>false</boolean>
                  </void>
                  <void property="file">
                    <object class="java.io.File">
                      <string>bin/install4j</string>
                    </object>
                  </void>
                  <void property="name">
                    <string>install4j</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="5934" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_560" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.desktop.AddToDockAction">
                  <void property="executable">
                    <object class="java.io.File">
                      <string>bin/install4j</string>
                    </object>
                  </void>
                </object>
              </java>
            </action>
            <action id="5517" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_561" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.AddWindowsFileRightsAction">
                  <void property="files">
                    <array class="java.io.File" length="1">
                      <void index="0">
                        <object class="java.io.File">
                          <string>samples</string>
                        </object>
                      </void>
                    </array>
                  </void>
                </object>
              </java>
            </action>
            <action id="7241" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.text.FixCrLfAction">
                  <void property="files">
                    <array class="java.io.File" length="1">
                      <void index="0">
                        <object class="java.io.File">
                          <string>bin/install4j.vmoptions</string>
                        </object>
                      </void>
                    </array>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="3121" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_562" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FormScreen">
              <void property="fillHorizontally">
                <boolean>false</boolean>
              </void>
              <void property="fillVertically">
                <boolean>false</boolean>
              </void>
              <void property="subTitle">
                <string>Do you wish to enter your license information now?</string>
              </void>
              <void property="title">
                <string>License Information</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents>
            <formComponent id="3122" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.RadiobuttonsComponent">
                  <void property="radioButtonLabels">
                    <array class="java.lang.String" length="2">
                      <void index="0">
                        <string>Yes, I would like to enter my license information now</string>
                      </void>
                      <void index="1">
                        <string>No, I will enter it later</string>
                      </void>
                    </array>
                  </void>
                  <void property="variableName">
                    <string>licenseQuestion</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
        <group id="6076" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.ScreenGroup">
              <void property="conditionExpression">
                <object class="com.install4j.api.beans.ScriptProperty">
                  <void property="value">
                    <string>I4jScript_Internal_563</string>
                  </void>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <screen id="6073" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableProgressScreen">
                  <void property="initialStatusMessage">
                    <string>Loading install4j ...</string>
                  </void>
                  <void property="subTitle">
                    <string>Please wait while install4j is being initialized</string>
                  </void>
                  <void property="title">
                    <string>Initializing install4j</string>
                  </void>
                </object>
              </java>
              <actions>
                <action id="6075" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetProgressAction">
                      <void property="progressChangeType">
                        <object class="com.install4j.runtime.beans.actions.control.ProgressChangeType" field="SET_INDETERMINATE" />
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6074" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.RunScriptAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_564</string>
                          </void>
                        </object>
                      </void>
                    </object>
                  </java>
                </action>
              </actions>
              <formComponents />
            </screen>
            <screen id="3120" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.installer.LicenseEntryScreen" />
              </java>
              <actions />
              <formComponents />
            </screen>
          </beans>
        </group>
        <screen id="5001" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FormScreen">
              <void property="subTitle">
                <string>Do wish to check for updates automatically?</string>
              </void>
              <void property="title">
                <string>Update Settings</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents>
            <formComponent id="5002" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                  <void property="labelText">
                    <string>install4j can check for updated versions of itself automatically. The check will be performed in the background and you will only be notified if a new version is available.</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="5003" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent" />
              </java>
            </formComponent>
            <formComponent id="5045" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.UpdateScheduleSelectorComponent">
                  <void property="labelText">
                    <string>Check for updates:</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
        <screen id="79" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_565" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.FinishedScreen" />
          </java>
          <actions>
            <action id="94" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_566" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.finish.ExecuteLauncherAction">
                  <void property="launcherId">
                    <string>2</string>
                  </void>
                </object>
              </java>
            </action>
          </actions>
          <formComponents>
            <formComponent id="95" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>${i18n:RunEntryExec("install4j")}</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>executeLauncherAction</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
      </screens>
    </application>
    <application id="uninstaller" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.UninstallerApplication" />
      </java>
      <variables />
      <screens>
        <screen id="16" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="6230" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.misc.RequestPrivilegesAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="80" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallWelcomeScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="4998" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.AdditionalConfirmationsScreen" />
          </java>
          <actions />
          <formComponents>
            <formComponent id="5000" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>Remove licensing information for the current user</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>removeLicense</string>
                  </void>
                </object>
              </java>
            </formComponent>
            <formComponent id="6959" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.formcomponents.CheckboxComponent">
                  <void property="checkboxText">
                    <string>Remove JRE bundles</string>
                  </void>
                  <void property="initiallySelected">
                    <boolean>true</boolean>
                  </void>
                  <void property="variableName">
                    <string>removeJres</string>
                  </void>
                </object>
              </java>
            </formComponent>
          </formComponents>
        </screen>
        <screen id="81" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallationScreen" />
          </java>
          <actions>
            <action id="6961" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_567" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.DeleteFileAction">
                  <void property="files">
                    <array class="java.io.File" length="1">
                      <void index="0">
                        <object class="java.io.File">
                          <string>${installer:sys.userHome}/.install4j5/jres</string>
                        </object>
                      </void>
                    </array>
                  </void>
                  <void property="recursive">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
            </action>
            <action id="6960" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_568" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.DeleteFileAction">
                  <void property="files">
                    <array class="java.io.File" length="1">
                      <void index="0">
                        <object class="java.io.File">
                          <string>jres</string>
                        </object>
                      </void>
                    </array>
                  </void>
                  <void property="recursive">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
            </action>
            <action id="4072" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_570" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.DeleteFileAction">
                  <void property="directoryFilter">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_569</string>
                      </void>
                    </object>
                  </void>
                  <void property="files">
                    <array class="java.io.File" length="1">
                      <void index="0">
                        <object class="java.io.File">
                          <string>${installer:sys.userHome}/.install4j5</string>
                        </object>
                      </void>
                    </array>
                  </void>
                  <void property="recursive">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
            </action>
            <action id="4067" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.DeleteFileAction">
                  <void property="files">
                    <array class="java.io.File" length="1">
                      <void index="0">
                        <object class="java.io.File">
                          <string>samples</string>
                        </object>
                      </void>
                    </array>
                  </void>
                  <void property="recursive">
                    <boolean>true</boolean>
                  </void>
                </object>
              </java>
            </action>
            <action id="4054" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.files.DeleteFileAction">
                  <void property="files">
                    <array class="java.io.File" length="1">
                      <void index="0">
                        <object class="java.io.File">
                          <string>jres</string>
                        </object>
                      </void>
                    </array>
                  </void>
                </object>
              </java>
            </action>
            <action id="82" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.UninstallFilesAction" />
              </java>
            </action>
          </actions>
          <formComponents />
        </screen>
        <screen id="83" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallFailureScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="84" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.UninstallSuccessScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
      </screens>
    </application>
    <application id="5087" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.CustomApplication">
          <void property="customIconImageFiles">
            <void method="add">
              <object class="com.install4j.api.beans.ExternalFile">
                <string>i4j_extf_5_1et6ieo_cwz6mn.png</string>
              </object>
            </void>
            <void method="add">
              <object class="com.install4j.api.beans.ExternalFile">
                <string>i4j_extf_6_1et6ieo_1sxzjn7.png</string>
              </object>
            </void>
          </void>
          <void property="executableDirectory">
            <object class="java.io.File">
              <string>bin</string>
            </object>
          </void>
          <void property="executableName">
            <string>updater</string>
          </void>
          <void property="useCustomIcon">
            <boolean>true</boolean>
          </void>
          <void property="windowTitle">
            <string>${i18n:updater.WindowTitle("install4j")}</string>
          </void>
        </object>
      </java>
      <variables />
      <screens>
        <screen id="5088" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="6652" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_571" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.CustomizableBannerScreen">
              <void property="infoText">
                <string>${i18n:updater.WelcomeInfoText("install4j")}</string>
              </void>
              <void property="title">
                <string>${i18n:updater.WelcomeTitle("install4j")}</string>
              </void>
            </object>
          </java>
          <actions />
          <formComponents />
        </screen>
        <screen id="6653" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.CustomizableProgressScreen">
              <void property="initialStatusMessage">
                <string>${i18n:updater.CheckForUpdateLabel}</string>
              </void>
              <void property="subTitle">
                <string>${i18n:updater.CheckForUpdateSubtitle}</string>
              </void>
              <void property="title">
                <string>${i18n:updater.CheckForUpdateTitle}</string>
              </void>
            </object>
          </java>
          <actions>
            <action id="6654" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetProgressAction">
                  <void property="progressChangeType">
                    <object class="com.install4j.runtime.beans.actions.control.ProgressChangeType" field="SET_INDETERMINATE" />
                  </void>
                </object>
              </java>
            </action>
            <action id="6655" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.update.CheckForUpdateAction">
                  <void property="updateDescriptorUrl">
                    <string>http://download.ej-technologies.com/install4j/updates5.xml</string>
                  </void>
                  <void property="variable">
                    <string>updateDescriptor</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="6656" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SleepAction" />
              </java>
            </action>
            <action id="6657" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                  <void property="script">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_572</string>
                      </void>
                    </object>
                  </void>
                  <void property="variableName">
                    <string>updateDescriptorEntry</string>
                  </void>
                </object>
              </java>
            </action>
            <group id="6658" customizedId="" idNamespace="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_573</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <beans>
                <action id="6659" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_574</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterNewVersion</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6660" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_575</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadSize</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6661" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_576</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterComment</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6662" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_577</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadDir</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6663" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_578</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadUrl</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6664" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_579</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>isArchive</string>
                      </void>
                    </object>
                  </java>
                </action>
              </beans>
            </group>
          </actions>
          <formComponents />
        </screen>
        <group id="6665" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.ScreenGroup">
              <void property="conditionExpression">
                <object class="com.install4j.api.beans.ScriptProperty">
                  <void property="value">
                    <string>I4jScript_Internal_580</string>
                  </void>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <screen id="6666" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableBannerScreen">
                  <void property="infoText">
                    <string>${i18n:updater.UpToDateInfoText("install4j")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.UpToDateTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents />
            </screen>
          </beans>
        </group>
        <group id="6667" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.ScreenGroup">
              <void property="conditionExpression">
                <object class="com.install4j.api.beans.ScriptProperty">
                  <void property="value">
                    <string>I4jScript_Internal_581</string>
                  </void>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <screen id="6668" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.FormScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.NewVersionAvailableSubtitle("install4j")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.NewVersionAvailableTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents>
                <formComponent id="6669" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.CurrentVersionLabel}</string>
                      </void>
                      <void property="valueLabelColor">
                        <object class="java.awt.Color">
                          <int>128</int>
                          <int>0</int>
                          <int>0</int>
                          <int>255</int>
                        </object>
                      </void>
                      <void property="valueLabelFont">
                        <object class="java.awt.Font">
                          <string>dialog</string>
                          <int>1</int>
                          <int>0</int>
                        </object>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:sys.version}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <group id="6670" customizedId="" idNamespace="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.groups.HorizontalFormComponentGroup" />
                  </java>
                  <beans>
                    <formComponent id="6671" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                          <void property="labelText">
                            <string>${i18n:updater.NewVersionLabel}</string>
                          </void>
                          <void property="valueLabelColor">
                            <object class="java.awt.Color">
                              <int>0</int>
                              <int>128</int>
                              <int>0</int>
                              <int>255</int>
                            </object>
                          </void>
                          <void property="valueLabelFont">
                            <object class="java.awt.Font">
                              <string>dialog</string>
                              <int>1</int>
                              <int>0</int>
                            </object>
                          </void>
                          <void property="valueLabelText">
                            <string>${installer:updaterNewVersion}</string>
                          </void>
                        </object>
                      </java>
                    </formComponent>
                    <formComponent id="6672" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_583" insetsTop="3" insetsLeft="5" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                          <void property="actionScript">
                            <object class="com.install4j.api.beans.ScriptProperty">
                              <void property="value">
                                <string>I4jScript_Internal_582</string>
                              </void>
                            </object>
                          </void>
                          <void property="hyperlinkText">
                            <string>${i18n:updater.ShowComments}</string>
                          </void>
                        </object>
                      </java>
                    </formComponent>
                  </beans>
                </group>
                <formComponent id="5157" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkLabelComponent">
                      <void property="hyperlinkText">
                        <string>Change log</string>
                      </void>
                      <void property="url">
                        <string>http://www.ej-technologies.com/download/install4j/changelog.html</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6673" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent" />
                  </java>
                </formComponent>
                <formComponent id="6674" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadLocationLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6675" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.DirectoryChooserComponent">
                      <void property="initialFile">
                        <string>${installer:updaterDownloadDir}</string>
                      </void>
                      <void property="labelText">
                        <string>${i18n:updater.DownloadToLabel}</string>
                      </void>
                      <void property="manualEntryAllowed">
                        <boolean>false</boolean>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadLocation</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6676" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadSizeLabel}</string>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:updaterDownloadSize}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
            <screen id="6677" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_584" rollbackBarrier="false" preActivationClass="I4jScript_Internal_585" postActivationClass="" validationClass="I4jScript_Internal_586" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableInfoScreen">
                  <void property="displayedText">
                    <string>${installer:updaterComment}</string>
                  </void>
                  <void property="infoText">
                    <string>${i18n:updater.CommentsLabel}</string>
                  </void>
                  <void property="subTitle">
                    <string>${i18n:updater.CommentsSubTitle}</string>
                  </void>
                  <void property="textSource">
                    <object class="com.install4j.runtime.beans.screens.components.TextSource" field="DIRECT" />
                  </void>
                  <void property="title">
                    <string>${i18n:updater.CommentsTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents />
            </screen>
            <screen id="6678" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableProgressScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.DownloadSubTitle}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.DownloadTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <action id="6679" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_587</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadFile</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6680" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.update.DownloadFileAction">
                      <void property="targetFile">
                        <string>${installer:updaterDownloadFile}</string>
                      </void>
                      <void property="url">
                        <string>${installer:updaterDownloadUrl}</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6681" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.files.SetModeAction">
                      <void property="files">
                        <array class="java.io.File" length="1">
                          <void index="0">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadFile}</string>
                            </object>
                          </void>
                        </array>
                      </void>
                      <void property="mode">
                        <string>755</string>
                      </void>
                    </object>
                  </java>
                </action>
              </actions>
              <formComponents />
            </screen>
            <screen id="6682" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.BannerFormScreen">
                  <void property="infoText">
                    <string>${i18n:updater.FinishInfoText("install4j")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.FinishTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <group id="6683" customizedId="" idNamespace="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.groups.ActionGroup">
                      <void property="conditionExpression">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_588</string>
                          </void>
                        </object>
                      </void>
                    </object>
                  </java>
                  <beans>
                    <action id="6684" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                          <void property="script">
                            <object class="com.install4j.api.beans.ScriptProperty">
                              <void property="value">
                                <string>I4jScript_Internal_589</string>
                              </void>
                            </object>
                          </void>
                          <void property="variableName">
                            <string>installerArguments</string>
                          </void>
                        </object>
                      </java>
                    </action>
                    <action id="6685" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.update.ShutdownCallingLauncherAction" />
                      </java>
                    </action>
                    <action id="6686" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="${i18n:updater.LaunchError}">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.misc.RunExecutableAction">
                          <void property="arguments">
                            <array class="java.lang.String" length="1">
                              <void index="0">
                                <string>${installer:installerArguments}</string>
                              </void>
                            </array>
                          </void>
                          <void property="executable">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadFile}</string>
                            </object>
                          </void>
                          <void property="workingDirectory">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadLocation}</string>
                            </object>
                          </void>
                        </object>
                      </java>
                    </action>
                  </beans>
                </group>
              </actions>
              <formComponents>
                <formComponent id="6687" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.LabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.LaunchUpdaterQuestion}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6688" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent">
                      <void property="height">
                        <int>5</int>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6689" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_590" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.RadiobuttonsComponent">
                      <void property="radioButtonLabels">
                        <array class="java.lang.String" length="2">
                          <void index="0">
                            <string>${i18n:updater.LaunchUpdaterLabel}</string>
                          </void>
                          <void index="1">
                            <string>${i18n:updater.DoNotLaunchUpdaterLabel}</string>
                          </void>
                        </array>
                      </void>
                      <void property="variableName">
                        <string>updaterLaunchSelection</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6690" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_592" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                      <void property="actionScript">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_591</string>
                          </void>
                        </object>
                      </void>
                      <void property="hyperlinkText">
                        <string>${i18n:updater.OpenContainingFolderLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6691" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.ProgressComponent">
                      <void property="detailVisible">
                        <boolean>false</boolean>
                      </void>
                      <void property="hideInitially">
                        <boolean>true</boolean>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
          </beans>
        </group>
      </screens>
    </application>
    <application id="5125" customizedId="" idNamespace="">
      <java class="java.beans.XMLDecoder">
        <object class="com.install4j.runtime.beans.applications.CustomApplication">
          <void property="customIconImageFiles">
            <void method="add">
              <object class="com.install4j.api.beans.ExternalFile">
                <string>i4j_extf_5_1et6ieo_cwz6mn.png</string>
              </object>
            </void>
            <void method="add">
              <object class="com.install4j.api.beans.ExternalFile">
                <string>i4j_extf_6_1et6ieo_1sxzjn7.png</string>
              </object>
            </void>
          </void>
          <void property="executableName">
            <string>updater</string>
          </void>
          <void property="useCustomIcon">
            <boolean>true</boolean>
          </void>
          <void property="windowTitle">
            <string>${i18n:updater.WindowTitle("install4j")}</string>
          </void>
        </object>
      </java>
      <variables />
      <screens>
        <screen id="5126" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.screens.StartupScreen" />
          </java>
          <actions>
            <action id="6719" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.update.CheckForUpdateAction">
                  <void property="showError">
                    <boolean>false</boolean>
                  </void>
                  <void property="updateDescriptorUrl">
                    <string>http://download.ej-technologies.com/install4j/updates5.xml</string>
                  </void>
                  <void property="variable">
                    <string>updateDescriptor</string>
                  </void>
                </object>
              </java>
            </action>
            <action id="6720" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                  <void property="failIfNull">
                    <boolean>true</boolean>
                  </void>
                  <void property="script">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_593</string>
                      </void>
                    </object>
                  </void>
                  <void property="variableName">
                    <string>updateDescriptorEntry</string>
                  </void>
                </object>
              </java>
            </action>
            <group id="6721" customizedId="" idNamespace="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.groups.ActionGroup">
                  <void property="conditionExpression">
                    <object class="com.install4j.api.beans.ScriptProperty">
                      <void property="value">
                        <string>I4jScript_Internal_594</string>
                      </void>
                    </object>
                  </void>
                </object>
              </java>
              <beans>
                <action id="6722" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_595</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterNewVersion</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6723" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_596</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadSize</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6724" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_597</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterComment</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6725" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_598</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadDir</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6726" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_599</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadUrl</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6727" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_600</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>isArchive</string>
                      </void>
                    </object>
                  </java>
                </action>
              </beans>
            </group>
          </actions>
          <formComponents />
        </screen>
        <group id="6694" customizedId="" idNamespace="">
          <java class="java.beans.XMLDecoder">
            <object class="com.install4j.runtime.beans.groups.ScreenGroup">
              <void property="conditionExpression">
                <object class="com.install4j.api.beans.ScriptProperty">
                  <void property="value">
                    <string>I4jScript_Internal_601</string>
                  </void>
                </object>
              </void>
            </object>
          </java>
          <beans>
            <screen id="6695" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.FormScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.NewVersionAvailableSubtitle("install4j")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.NewVersionAvailableTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents>
                <formComponent id="6696" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.CurrentVersionLabel}</string>
                      </void>
                      <void property="valueLabelColor">
                        <object class="java.awt.Color">
                          <int>128</int>
                          <int>0</int>
                          <int>0</int>
                          <int>255</int>
                        </object>
                      </void>
                      <void property="valueLabelFont">
                        <object class="java.awt.Font">
                          <string>dialog</string>
                          <int>1</int>
                          <int>0</int>
                        </object>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:sys.version}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <group id="6697" customizedId="" idNamespace="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.groups.HorizontalFormComponentGroup" />
                  </java>
                  <beans>
                    <formComponent id="6698" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                          <void property="labelText">
                            <string>${i18n:updater.NewVersionLabel}</string>
                          </void>
                          <void property="valueLabelColor">
                            <object class="java.awt.Color">
                              <int>0</int>
                              <int>128</int>
                              <int>0</int>
                              <int>255</int>
                            </object>
                          </void>
                          <void property="valueLabelFont">
                            <object class="java.awt.Font">
                              <string>dialog</string>
                              <int>1</int>
                              <int>0</int>
                            </object>
                          </void>
                          <void property="valueLabelText">
                            <string>${installer:updaterNewVersion}</string>
                          </void>
                        </object>
                      </java>
                    </formComponent>
                    <formComponent id="6699" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_603" insetsTop="3" insetsLeft="5" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                          <void property="actionScript">
                            <object class="com.install4j.api.beans.ScriptProperty">
                              <void property="value">
                                <string>I4jScript_Internal_602</string>
                              </void>
                            </object>
                          </void>
                          <void property="hyperlinkText">
                            <string>${i18n:updater.ShowComments}</string>
                          </void>
                        </object>
                      </java>
                    </formComponent>
                  </beans>
                </group>
                <formComponent id="5158" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkLabelComponent">
                      <void property="hyperlinkText">
                        <string>Change log</string>
                      </void>
                      <void property="url">
                        <string>http://www.ej-technologies.com/download/install4j/changelog.html</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6700" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent" />
                  </java>
                </formComponent>
                <formComponent id="6701" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.MultilineLabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadLocationLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6702" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.DirectoryChooserComponent">
                      <void property="initialFile">
                        <string>${installer:updaterDownloadDir}</string>
                      </void>
                      <void property="labelText">
                        <string>${i18n:updater.DownloadToLabel}</string>
                      </void>
                      <void property="manualEntryAllowed">
                        <boolean>false</boolean>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadLocation</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6703" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.KeyValuePairComponent">
                      <void property="labelText">
                        <string>${i18n:updater.DownloadSizeLabel}</string>
                      </void>
                      <void property="valueLabelText">
                        <string>${installer:updaterDownloadSize}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
            <screen id="6704" customizedId="" idNamespace="" conditionClass="I4jScript_Internal_604" rollbackBarrier="false" preActivationClass="I4jScript_Internal_605" postActivationClass="" validationClass="I4jScript_Internal_606" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableInfoScreen">
                  <void property="displayedText">
                    <string>${installer:updaterComment}</string>
                  </void>
                  <void property="infoText">
                    <string>${i18n:updater.CommentsLabel}</string>
                  </void>
                  <void property="subTitle">
                    <string>${i18n:updater.CommentsSubTitle}</string>
                  </void>
                  <void property="textSource">
                    <object class="com.install4j.runtime.beans.screens.components.TextSource" field="DIRECT" />
                  </void>
                  <void property="title">
                    <string>${i18n:updater.CommentsTitle}</string>
                  </void>
                </object>
              </java>
              <actions />
              <formComponents />
            </screen>
            <screen id="6705" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="false" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.CustomizableProgressScreen">
                  <void property="subTitle">
                    <string>${i18n:updater.DownloadSubTitle}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.DownloadTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <action id="6706" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                      <void property="script">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_607</string>
                          </void>
                        </object>
                      </void>
                      <void property="variableName">
                        <string>updaterDownloadFile</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6707" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.update.DownloadFileAction">
                      <void property="targetFile">
                        <string>${installer:updaterDownloadFile}</string>
                      </void>
                      <void property="url">
                        <string>${installer:updaterDownloadUrl}</string>
                      </void>
                    </object>
                  </java>
                </action>
                <action id="6708" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.actions.files.SetModeAction">
                      <void property="files">
                        <array class="java.io.File" length="1">
                          <void index="0">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadFile}</string>
                            </object>
                          </void>
                        </array>
                      </void>
                      <void property="mode">
                        <string>755</string>
                      </void>
                    </object>
                  </java>
                </action>
              </actions>
              <formComponents />
            </screen>
            <screen id="6709" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" preActivationClass="" postActivationClass="" validationClass="" backButtonType="2" finishScreen="true" wizardIndexChangeType="1" wizardIndexKey="">
              <java class="java.beans.XMLDecoder">
                <object class="com.install4j.runtime.beans.screens.BannerFormScreen">
                  <void property="infoText">
                    <string>${i18n:updater.FinishInfoText("install4j")}</string>
                  </void>
                  <void property="title">
                    <string>${i18n:updater.FinishTitle}</string>
                  </void>
                </object>
              </java>
              <actions>
                <group id="6710" customizedId="" idNamespace="">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.groups.ActionGroup">
                      <void property="conditionExpression">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_608</string>
                          </void>
                        </object>
                      </void>
                    </object>
                  </java>
                  <beans>
                    <action id="6711" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.control.SetVariableAction">
                          <void property="script">
                            <object class="com.install4j.api.beans.ScriptProperty">
                              <void property="value">
                                <string>I4jScript_Internal_609</string>
                              </void>
                            </object>
                          </void>
                          <void property="variableName">
                            <string>installerArguments</string>
                          </void>
                        </object>
                      </java>
                    </action>
                    <action id="6712" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="1" errorMessage="">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.update.ShutdownCallingLauncherAction" />
                      </java>
                    </action>
                    <action id="6713" customizedId="" idNamespace="" conditionClass="" rollbackBarrier="false" multiExec="false" cancelOnFail="2" errorMessage="${i18n:updater.LaunchError}">
                      <java class="java.beans.XMLDecoder">
                        <object class="com.install4j.runtime.beans.actions.misc.RunExecutableAction">
                          <void property="arguments">
                            <array class="java.lang.String" length="1">
                              <void index="0">
                                <string>${installer:installerArguments}</string>
                              </void>
                            </array>
                          </void>
                          <void property="executable">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadFile}</string>
                            </object>
                          </void>
                          <void property="workingDirectory">
                            <object class="java.io.File">
                              <string>${installer:updaterDownloadLocation}</string>
                            </object>
                          </void>
                        </object>
                      </java>
                    </action>
                  </beans>
                </group>
              </actions>
              <formComponents>
                <formComponent id="6714" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.LabelComponent">
                      <void property="labelText">
                        <string>${i18n:updater.LaunchUpdaterQuestion}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6715" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.SpacerComponent">
                      <void property="height">
                        <int>5</int>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6716" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_610" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.RadiobuttonsComponent">
                      <void property="radioButtonLabels">
                        <array class="java.lang.String" length="2">
                          <void index="0">
                            <string>${i18n:updater.LaunchUpdaterLabel}</string>
                          </void>
                          <void index="1">
                            <string>${i18n:updater.DoNotLaunchUpdaterLabel}</string>
                          </void>
                        </array>
                      </void>
                      <void property="variableName">
                        <string>updaterLaunchSelection</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6717" customizedId="" idNamespace="" initClassName="" visibilityClassName="I4jScript_Internal_612" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.HyperlinkActionLabelComponent">
                      <void property="actionScript">
                        <object class="com.install4j.api.beans.ScriptProperty">
                          <void property="value">
                            <string>I4jScript_Internal_611</string>
                          </void>
                        </object>
                      </void>
                      <void property="hyperlinkText">
                        <string>${i18n:updater.OpenContainingFolderLabel}</string>
                      </void>
                    </object>
                  </java>
                </formComponent>
                <formComponent id="6718" customizedId="" idNamespace="" initClassName="" visibilityClassName="" insetsTop="3" insetsLeft="0" insetsBottom="3" insetsRight="0" resetInitOnPrevious="false">
                  <java class="java.beans.XMLDecoder">
                    <object class="com.install4j.runtime.beans.formcomponents.ProgressComponent">
                      <void property="detailVisible">
                        <boolean>false</boolean>
                      </void>
                      <void property="hideInitially">
                        <boolean>true</boolean>
                      </void>
                    </object>
                  </java>
                </formComponent>
              </formComponents>
            </screen>
          </beans>
        </group>
      </screens>
    </application>
  </applications>
  <launchers>
    <launcher type="gui" id="2" customizedId="" excludeFromMenu="false" uninstaller="false" name="install4j 5 IDE" file="bin/install4j" />
    <launcher type="console" id="7" customizedId="" excludeFromMenu="true" uninstaller="false" name="install4j 5 command line compiler" file="bin/install4jc" />
    <launcher type="console" id="5786" customizedId="" excludeFromMenu="true" uninstaller="false" name="Command line bundle creator" file="bin/createbundle" />
    <launcher type="installerApplication" id="5087" customizedId="" excludeFromMenu="true" uninstaller="false" name="Standalone updater" file="bin/updater" />
    <launcher type="installerApplication" id="5125" customizedId="" excludeFromMenu="true" uninstaller="false" name="Updater with silent version check" file=".install4j/updater" />
  </launchers>
  <scriptClassOrigins>
    <class className="I4jScript_Internal_545" beanType="action" beanName="Load a response file" propertyName="Condition expression" parentScreen="Welcome" />
    <class className="I4jScript_Internal_546" beanType="screen" beanName="Console mode [Display license agreement]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_547" beanType="screen" beanName="Other modes [Display license agreement]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_548" beanType="screen" beanName="Installation location" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_549" beanType="screen" beanName="Installation location" propertyName="Validation expression" parentScreen="" />
    <class className="I4jScript_Internal_550" beanType="action" beanName="Load a response file" propertyName="Condition expression" parentScreen="Installation location" />
    <class className="I4jScript_Internal_551" beanType="screen" beanName="Create program group" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_552" beanType="form component" beanName="file association [Check box]" propertyName="Visibility script" parentScreen="Additional confirmations" />
    <class className="I4jScript_Internal_553" beanType="form component" beanName="Create a quick launch icon [Check box]" propertyName="Visibility script" parentScreen="Additional confirmations" />
    <class className="I4jScript_Internal_554" beanType="form component" beanName="Add an executable to the dock [Check box]" propertyName="Visibility script" parentScreen="Additional confirmations" />
    <class className="I4jScript_Internal_555" beanType="action" beanName="Uninstall previous installation" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_556" beanType="action" beanName="Create program group" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_557" beanType="action" beanName="Create a file association" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_558" beanType="action" beanName="Create a quick launch icon" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_559" beanType="action" beanName="Add a desktop link" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_560" beanType="action" beanName="Add an executable to the dock" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_561" beanType="action" beanName="Vista Rights [Add Windows file rights]" propertyName="Condition expression" parentScreen="Installation" />
    <class className="I4jScript_Internal_562" beanType="screen" beanName="License Question [Configurable form]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_563" beanType="group" beanName="Screen group" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_564" beanType="action" beanName="Run script" propertyName="Script" parentScreen="Load install4j classes [Display progress]" />
    <class className="I4jScript_Internal_565" beanType="screen" beanName="Finish" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_566" beanType="action" beanName="Execute launcher" propertyName="Condition expression" parentScreen="Finish" />
    <class className="I4jScript_Internal_567" beanType="action" beanName="jres in home [Delete files and directories]" propertyName="Condition expression" parentScreen="Uninstallation" />
    <class className="I4jScript_Internal_568" beanType="action" beanName="jres in installation [Delete files and directories]" propertyName="Condition expression" parentScreen="Uninstallation" />
    <class className="I4jScript_Internal_569" beanType="action" beanName="license [Delete files and directories]" propertyName="Directory filter script" parentScreen="Uninstallation" />
    <class className="I4jScript_Internal_570" beanType="action" beanName="license [Delete files and directories]" propertyName="Condition expression" parentScreen="Uninstallation" />
    <class className="I4jScript_Internal_571" beanType="screen" beanName="Welcome [Banner screen]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_572" beanType="action" beanName="Update descriptor entry [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_573" beanType="group" beanName="Update available [Action group]" propertyName="Condition expression" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_574" beanType="action" beanName="New version [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_575" beanType="action" beanName="Download size [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_576" beanType="action" beanName="Comment [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_577" beanType="action" beanName="Download directory [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_578" beanType="action" beanName="Download URL [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_579" beanType="action" beanName="Archive [Set a variable]" propertyName="Script" parentScreen="Check for update [Display progress]" />
    <class className="I4jScript_Internal_580" beanType="group" beanName="Up to date [Screen group]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_581" beanType="group" beanName="Update available [Screen group]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_582" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_583" beanType="form component" beanName="Hyperlink action label" propertyName="Visibility script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_584" beanType="screen" beanName="Update message [Display text]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_585" beanType="screen" beanName="Update message [Display text]" propertyName="Pre-activation expression" parentScreen="" />
    <class className="I4jScript_Internal_586" beanType="screen" beanName="Update message [Display text]" propertyName="Validation expression" parentScreen="" />
    <class className="I4jScript_Internal_587" beanType="action" beanName="Download location [Set a variable]" propertyName="Script" parentScreen="Download new version [Display progress]" />
    <class className="I4jScript_Internal_588" beanType="group" beanName="Execute installer [Action group]" propertyName="Condition expression" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_589" beanType="action" beanName="Set installer arguments [Set a variable]" propertyName="Script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_590" beanType="form component" beanName="Radio button group" propertyName="Visibility script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_591" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_592" beanType="form component" beanName="Hyperlink action label" propertyName="Visibility script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_593" beanType="action" beanName="Update descriptor entry [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_594" beanType="group" beanName="Update available [Action group]" propertyName="Condition expression" parentScreen="Startup" />
    <class className="I4jScript_Internal_595" beanType="action" beanName="New version [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_596" beanType="action" beanName="Download size [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_597" beanType="action" beanName="Comment [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_598" beanType="action" beanName="Download directory [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_599" beanType="action" beanName="Download URL [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_600" beanType="action" beanName="Archive [Set a variable]" propertyName="Script" parentScreen="Startup" />
    <class className="I4jScript_Internal_601" beanType="group" beanName="Update available [Screen group]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_602" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_603" beanType="form component" beanName="Hyperlink action label" propertyName="Visibility script" parentScreen="New version available [Configurable form]" />
    <class className="I4jScript_Internal_604" beanType="screen" beanName="Update message [Display text]" propertyName="Condition expression" parentScreen="" />
    <class className="I4jScript_Internal_605" beanType="screen" beanName="Update message [Display text]" propertyName="Pre-activation expression" parentScreen="" />
    <class className="I4jScript_Internal_606" beanType="screen" beanName="Update message [Display text]" propertyName="Validation expression" parentScreen="" />
    <class className="I4jScript_Internal_607" beanType="action" beanName="Download location [Set a variable]" propertyName="Script" parentScreen="Download new version [Display progress]" />
    <class className="I4jScript_Internal_608" beanType="group" beanName="Execute installer [Action group]" propertyName="Condition expression" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_609" beanType="action" beanName="Set installer arguments [Set a variable]" propertyName="Script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_610" beanType="form component" beanName="Radio button group" propertyName="Visibility script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_611" beanType="form component" beanName="Hyperlink action label" propertyName="Action script" parentScreen="Finish [Configurable banner form]" />
    <class className="I4jScript_Internal_612" beanType="form component" beanName="Hyperlink action label" propertyName="Visibility script" parentScreen="Finish [Configurable banner form]" />
  </scriptClassOrigins>
</config>

